import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

import static ru.ifmo.testlib.Outcome.Type.OK;
import static ru.ifmo.testlib.Outcome.Type.WA;

public class Check implements Checker {

    public static final double EPS = 1e-8;
    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        double ja = ans.nextDouble();
        double pa = ouf.nextDouble();

        double relativeError = Math.abs(ja - pa) / Math.max(Math.abs(ja), 1.0);
        double absoluteError = Math.abs(ja - pa);
        double error = Math.min(relativeError, absoluteError);
        if (error > EPS)
            return new Outcome(WA, String.format("Expected %.17f, found %.17f, error = %.17f", ja, pa, error));
        return new Outcome(OK, String.format("Correct answer %.6f", pa));
    }

}

